#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <conio.h>
#include <errno.h>

#ifdef __CBM__
#include "simpleio.h"
#elif defined __ATARI__
#include "atasimpleio.h"
#endif

#include "rooms.h"
#include "words.h"
#include "player.h"
//#include "stores.h"

//#pragma local-strings (on)

//If using a 32k cartridge, this puts the room data in the high part of the cartridge.
#ifdef __DOFE3__
#pragma rodata-name ("RODATA2")
#endif

const struct room Room [] = {
		/*0        1         2         3
		 *123456789012345678901234567890123456789*/
{
/* Room 0 */
	//"Room 1",
		"Description of Room 1.\n",
	{
		0, //North
		-1, //South
		-1, //East
		-1  //West
	}
	//raExitRoom
	//0
}
};

//#ifdef __DOFE3__
//#pragma rodata-name ("RODATA")
//#endif
//#pragma rodataseg ("HIDECONST")
char DefRoomItems [NumRooms][8]=
{
	{iKey, -1}	//enums of items in each room, up to eight, followed by -1.
			//If eight items are in a room, don't follow with -1.
};

//Names of directions.

//If compiling for a C16 binary, the direcrtions go into the stub that's
//loaded into zeropage.
#if defined __C16__ && !defined __DOCART__
#pragma rodata-name (push, "ZP2RO")
#endif


const unsigned char RoomDir [4][6] = {
	"north",
	"south",
	"east",
	"west"
};

#if defined __C16__ && !defined __DOCART__
#pragma rodata-name (pop)
#endif

